# $Revision: 1.8 $, $Date: 2004/06/03 10:33:00 $
# Don't do tests - they require Google Web API license key
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	Google
Summary:	Net::Google - simple OOP-ish interface to the Google SOAP API
Summary(pl):	Net::Google - prosty, zorientowany obiektowo interfejs do Google SOAP API
Name:		perl-Net-Google
Version:	0.62
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	570b7c777ec9ff6388f826b3c5a90c9e
BuildRequires:	perl-SOAP-Lite
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Google Perl module provides a simple OOP-ish interface to the
Google SOAP API

%description -l pl
Modu Perla Net::Google udostpnia prosty, zorientowany obiektowo
interfejs do Google SOAP API.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Net/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Google.spec,v $
Revision 1.8  2004/06/03 10:33:00  adamg
- updated to 0.62

Revision 1.7  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.6  2004/04/27 00:28:03  ankry
- license fixes, cosmetics

Revision 1.5  2004/04/15 05:31:32  ankry
- cosmetics, unification

Revision 1.4  2004/02/16 22:05:16  adamg
- updated to 0.61

Revision 1.3  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.2  2003/06/03 20:00:08  qboosh
- pl description

Revision 1.1  2003/06/01 12:40:14  migo
- initial release
